# SMTP Service

The Simple Mail Transfer Protocol (SMTP) is a protocol for transferring e-mail between mail servers. Use the SMTP threshold parameters to control how the security device handles SMTP packets. The threshold parameters define the boundaries of normal SMTP traffic. Traffic that exceeds these boundaries is considered abnormal, and might contain protocol anomalies.

To modify one or more of the following settings for SMTP, enter a new value in the Current column for the parameter you want to adjust, and then click Apply:

Look for Headers in Attachment of Bounced E-mail: Enables or disables the inspection of SMTP traffic for e-mail headers in the body of an e-mail message, which can occur when a bounced message contains an attachment. A value of 0 disables checking for SMTP headers in the body of an e-mail message, and 1 enables it. By default, this is disabled.

Maximum Number of Mail Recipients: Specifies the maximum number of recipients for an SMTP message. Minimum: 1; maximum: 1000; default: 100.

Maximum Username Length: Specifies the maximum number of bytes in a user name component of the forward-path field in a RCPT command or reverse-path field in a MAIL command in an SMTP message envelope. The forward-path field indicates the destination mailbox. The reverse-path field indicates the sender’s mailbox. The mailbox names consist of two parts: usr_name@domain_name Minimum: 1; maximum: 8192; default: 256.

Maximum Domain Name Length: Specifies the maximum number of bytes in the domain name component of the forward-path field in a RCPT command or reverse-path field in a MAIL command in an SMTP message envelope. The forward-path field indicates the destination mailbox. The reverse-path field indicates the sender’s mailbox. The mailbox names consist of two parts: usr_name@domain_name Minimum: 1; maximum: 8192; default: 64.

Maximum Path Length: Specifies the maximum number of bytes that can appear in the forward-path field in a RCPT command or in the reverse-path field in a MAIL command in an SMTP message envelope. The forward-path typically consists of the destination mailbox. The reverse-path consists of the sender’s mailbox. Minimum: 1; maximum: 8192; default: 256.

Maximum Command Line Length: Specifies the maximum number of bytes in any command line sent from an SMTP client within an SMTP message envelope. Minimum: 1; maximum: 8192; default: 1024.

Maximum Reply Line Length: Specifies the maximum number of bytes in a reply line sent from an SMTP server. The total length includes the three-digit reply code and the <CRLF>. Minimum: 1; maximum: 8192; default: 512.

Maximum Text Line Length: Specifies the maximum number of bytes in a single SMTP text line, including the <CRLF>. Minimum: 1; maximum: 8192; default: 1024.

Maximum Number of Nested MIME Multipart Attachments: Specifies the number of nested elements in a multipart content-type. For an example, see “Appendix A – A Complex Multipart Example” in RFC 2049, “Multipurpose Internet Mail Extensions (MIME) Part Five: Conformance Criteria and Examples“. Minimum: 1; maximum: 16; default: 4.

Maximum Number of Base-64 Bytes to Decode: Specifies the maximum number of bytes of encoded MIME data that the NetScreen device must decode. Minimum: 1; maximum: 8192; default: 64.

Maximum Length of a Content-Disposition Filename Attribute: Specifies the maximum number of bytes for the name of a file in a content-disposition filename parameter in an SMTP header. Minimum: 1; maximum: 1024; default: 128.

Maximum Length of a Content-Type Name Attribute: Specifies the maximum number of bytes in the content-type name attribute in an SMTP header. Two examples of content-type names are text/plain; name=”CLI.pdf” , and application/zip; name=”nsremote.zip”. Minimum: 1; maximum: 1024; default: 128.